Bug 1417078 - Editing provisioning templates on Internet Explorer fails with Internal Server Error
Summary: Editing provisioning templates on Internet Explorer fails with Internal Serve...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.2.0
Hardware: All
OS: Linux
medium
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On: 1335604
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2017-01-27 07:55 UTC by pm-sat@redhat.com
Modified: 2019-04-01 20:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1335604
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17808 0 None None None 2017-01-27 07:55:10 UTC
Red Hat Knowledge Base (Solution) 2707221 0 None None None 2017-01-27 07:55:10 UTC

Comment 2 Kedar Bidarkar 2017-09-11 16:17:15 UTC
No, "Internal Server Error" is seen while editing the provisioning template on "IE 11".

2017-09-11 12:00:56 b8440b25 [app] [I] Started PATCH "/templates/provisioning_templates/118-Satellite%20Atomic%20Kickstart%20Default" for 10.x.x.x at 2017-09-11 12:00:56 -0400
2017-09-11 12:00:56 b8440b25 [app] [I] Processing by ProvisioningTemplatesController#update as */*
2017-09-11 12:00:56 b8440b25 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"ip0W4ZY+XqSskTYrf/zt+wXBPaS9nrFR8V28g7FtWPi0jffQFCFi1pS11cbYQGCmCsKvohVkBH6pV5BVxjfqnQ==", "provisioning_template"=>{"default"=>"1", "audit_comment"=>"", "operatingsystem_ids"=>[""], "location_ids"=>[""], "organization_ids"=>["", "1", "3"]}, "preview_host_id"=>"", "mode"=>"ruby", "keybinding"=>"Default", "_ie_support"=>"", "id"=>"118-Satellite Atomic Kickstart Default"}
2017-09-11 12:00:56 b8440b25 [app] [I] Current user: admin (administrator)
2017-09-11 12:00:56 b8440b25 [app] [I] Redirected to https://qe-sat6.domain.redhat.com/templates/provisioning_templates?page=4
2017-09-11 12:00:56 b8440b25 [app] [I] Completed 302 Found in 59ms (ActiveRecord: 11.3ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I] Started GET "/templates/provisioning_templates?page=4" for 10.x.x.x at 2017-09-11 12:00:56 -0400
2017-09-11 12:00:56 b9c2b2d6 [app] [I] Processing by ProvisioningTemplatesController#index as */*
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Parameters: {"page"=>"4"}
2017-09-11 12:00:56 b9c2b2d6 [app] [I] Current user: admin (administrator)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered provisioning_templates/index.html.erb within layouts/application (107.6ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered common/_searchbar.html.erb (3.4ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered layouts/_application_content.html.erb (4.0ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (1.8ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_user_dropdown.html.erb (4.8ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_organization_dropdown.html.erb (6.9ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_location_dropdown.html.erb (8.3ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_org_switcher.html.erb (24.1ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (5.4ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (14.4ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (1.4ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (6.0ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (3.1ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (2.5ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (1.5ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_submenu.html.erb (3.5ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I] Write fragment views/tabs_and_title_records-3 (0.8ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered home/_topbar.html.erb (79.4ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I]   Rendered layouts/base.html.erb (82.0ms)
2017-09-11 12:00:56 b9c2b2d6 [app] [I] Completed 200 OK in 230ms (Views: 190.3ms | ActiveRecord: 11.2ms)

----------------------------

10.x.x.x - - [11/Sep/2017:12:00:56 -0400] "POST /templates/provisioning_templates/118-Satellite%20Atomic%20Kickstart%20Default HTTP/1.1" 302 165 "https://qe-sat6.domain.redhat.com/templates/provisioning_templates?page=4" "Mozilla/5.0 (Windows NT 6.3; WOW64; Trident/7.0; rv:11.0) like Gecko"
10.x.x.x - - [11/Sep/2017:12:00:56 -0400] "GET /templates/provisioning_templates?page=4 HTTP/1.1" 200 7469 "https://qe-sat6.domain.redhat.com/templates/provisioning_templates?page=4" "Mozilla/5.0 (Windows NT 6.3; WOW64; Trident/7.0; rv:11.0) like Gecko"
^C
[root@qe-sat6 ~]# tail -f /var/log/httpd/foreman-ssl_error_ssl.log
[Sun Sep 10 16:17:29.077587 2017] [ssl:error] [pid 17432] [client 127.0.0.1:51486] AH02039: Certificate Verification: Error (20): unable to get local issuer certificate
[Mon Sep 11 03:32:21.899188 2017] [ssl:warn] [pid 16546] [client 127.0.0.1:54860] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN'
[Mon Sep 11 03:32:21.914470 2017] [ssl:warn] [pid 17429] [client 127.0.0.1:54862] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN'

-------------------------------

VERIFIED With sat6.3.0-snap15.0




------------------------------------

Comment 3 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.